
package test.web;

import javax.sql.*;
import java.sql.*;
import javax.naming.*;
import java.util.*;


public class MemberDAO {

	private DataSource dataFactory;

	public MemberDAO(){
		
		try{
				Context ctx = new InitialContext();
				dataFactory = ( DataSource)ctx.lookup( "java:comp/env/jdbc/Oracle9i");
		}catch( Exception e){
			e.printStackTrace();
		}
	}//end MemberDAO

	public ArrayList  list(){
		
		 ArrayList list = new ArrayList();
		 try{
				Connection con = dataFactory.getConnection();
				Statement stmt = con.createStatement();
				String query = "SELECT * FROM member";
				ResultSet rs = stmt.executeQuery( query );
				while( rs.next()){
						String name = rs.getString( "name" );
						String height = rs.getString( "height" );
						String weight = rs.getString( "weight" );
						int  age  = rs.getInt( "age" );
						String sex = rs.getString( "sex" );
						MemberTO  data = new MemberTO();
						data.setName( name );
						data.setHeight( height );
						data.setWeight( weight );
						data.setAge( age );
						data.setSex( sex );
						list.add( data );
				}//end while
				rs.close();
				stmt.close();
				con.close();
		 }catch ( Exception e){
			e.printStackTrace();
		 }
			return list;
	}//end list()
}